<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'icelandic';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'is_IS.ISO8859-1';
		break;

	default:
		$locale = 'is_IS';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'LTR',	// LTR (Left-To-Right) or RTL (Right-To-Left)
'lang_encoding'			=>	'iso-8859-1',

// Notices
'Bad request'			=>	'Rng beini. Tengilinn sem  smelltir  er gamall og/ea reltur.',
'No permission'			=>	' hefur ekki heimild til a sj essa su.',
'Bad referer'			=>	'Rng tilvsun. r var vsa hinga af rngum sta. Vinsamlegast fari til baka og reyni aftur. Ef vandamli heldur fram veri  viss um a  \'Base URL\' s rtt skilgreint  Admin/Options og a  srt a heimskja korkana  v URL.',

// Miscellaneous (used in many scripts)
'Options'				=>	'Valmguleikar',
'Actions'				=>	'Agerir',
'Submit'				=>	'Senda',	// "name" of submit buttons
'Banned message'		=>	' ert  banni af essum korki. Ef  hefur einhverjar spurningar  getur  haft samband vi stjrnandann  ',
'Never'					=>	'Aldrei',
'Today'					=>	' dag',
'Yesterday'				=>	' gr',
'First page'			=>	'Fyrsta&nbsp;page',
'Last page'				=>	'Sasta&nbsp;page',
'Info'					=>	'Upplsingar',		// a common table header
'Go back'				=>	'Til baka',
'Maintenance'			=>	'Vihald',
'Redirecting'			=>	'framvsun',
'Click redirect'		=>	'Smelltu hr ef  vilt ekki ba lengur (ea ef vafrinn sendir ig ekki sjlfvirkt fram)',
'Login required'		=>	'Aeins innskrir notendur geta lesi ennan kork.',
'Login'					=>  'Innskrning',
'or'					=>  'ea',
'register'				=>  'skrning',
'on'					=>	'',		// as in "BBCode is on"
'off'					=>	'af',
'Invalid e-mail'		=>	'Netfangi sem  slst inn er ekki lglegt.',
'required field'		=>	'arfnast tfyllingar  essu formi.',	// for javascript form validation
'Last post'				=>	'Sasta pst',
'by'					=>	'eftir',	// as in last post by someuser
'Username'				=>	'Notendanafn',
'E-mail'				=>	'Netfang',
'Registered'			=>	'Skrur',
'Message'				=>	'Skilabo',
'Topic'					=>	'rur',
'Forum'					=>	'Spjallrur',
'Posts'					=>	'Pstar',
'Replies'				=>	'Svr',
'Author'				=>	'Hfundur',
'Pages'					=>	'Sur',
'and'					=>	'og',

// Title
'Title'					=>	'Titill',
'Member'				=>	'Flagi',	// Default title
'Moderator'				=>	'Umsjnarmaur',
'Administrator'			=>	'Stjrnandi',
'Banned'				=>	'Bannaur',
'Guest'					=>	'Gestur',

// Stuff for include/parser.php
'BBCode error'			=>	'BBCode  skilabounum eru rng.',
'BBCode error 1'		=>	'Vantar upphafstag fyrir [/quote].',
'BBCode error 2'		=>	'Vantar endatag fyrir [code].',
'BBCode error 3'		=>	'Vantar upphafstag fyrir [/code].',
'BBCode error 4'		=>	'Vantar eitt ea fleiri endatg fyrir [quote].',
'BBCode error 5'		=>	'Vantar eitt ea fleiri upphafstg fyrir [/quote].',

// Stuff for the navigator (top of every page)
'Home'					=>	'Heim',
'User list'				=>	'Notendur',
'Rules'					=>  'Reglur',
'Search'				=>  'Leit',
'Register'				=>  'Nskrning',
'Login'					=>  'Innskrning',
'Not logged in'			=>  ' ert ekki skr(ur) inn.',
'Profile'				=>	'Stillingar',
'Logout'				=>	'tskrning',
'Logged in as'			=>	'Skr(ur) inn sem',
'Admin'					=>	'Stjrnandi',
'Last visit'			=>	'Sasta heimskn',

// Stuff for the page footer
'Show new posts'		=>	'Sna nja psta fr sustu heimskn',
'Show unanswered posts'	=>	'Sna svaraa psta',
'Show your posts'		=>	'Sna mna psta',
'Mark all as read'		=>	'Merkja alla ri sem lesna',
'Jump to'				=>	'Fltilei',
'Go'					=>	' fram ',		// submit button in forum jump
'Move topic'			=>  'Fra r',
'Open topic'			=>  'Opna r',
'Close topic'			=>  'Loka r',
'Unstick topic'			=>  'Afklstra r',
'Stick topic'			=>  'Klstra r',
'Edit subscribers'		=>  'Breyta skrifendum'

);
